[youtubei.js](../../../README.md) / [Generator](../README.md) / ObjectInferenceType

# Interface: ObjectInferenceType

## Properties

### keys

> **keys**: [`KeyInfo`](../type-aliases/KeyInfo.md)

#### Defined in

[src/parser/generator.ts:39](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/generator.ts#L39)

***

### optional

> **optional**: `boolean`

#### Defined in

[src/parser/generator.ts:40](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/generator.ts#L40)

***

### type

> **type**: `"object"`

#### Defined in

[src/parser/generator.ts:38](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/generator.ts#L38)
